/* #region Global */
:root
{
    --bg-light: #ffffff;
    --bg: #f4f4f4;
    --bg-dark: #e6e6e6;
    --text: #000000;
    --primary: #40a6cb;
    --primary-dark: #2b4575;

    --image-width: 2;
}

img
{
    user-select: none;
    -webkit-user-drag: none;
}

html
{
    scroll-padding-top: 150rem;
    scroll-behavior: smooth;
    font-size: 1px;
    white-space: nowrap;
    overflow-x: hidden;
}

body
{
    margin: 0;
    background-color: var(--bg);
    padding: 150rem 0 0 0;
    overflow-x: hidden;
}

section
{
    padding: 0 30rem;
}

h1
{
    font-family: "Roboto", sans-serif;
    font-weight: 600;
    font-style: italic;
    font-size: 80rem;
    margin: 0;
}

h2
{
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-size: 46rem;
    text-align: center;
    margin: 0;
}

h3
{
    font-family: "Roboto", sans-serif;
    font-weight: 360;
    font-size: 36rem;
    text-align: center;
    color: var(--primary-dark);
}

h4
{
    font-family: "Roboto", sans-serif;
    font-weight: 350;
    font-size: 20rem;
    text-align: center;
}

p, li
{
    font-size: 24rem;
    margin: 30rem;
    white-space: wrap;
}

a, button, svg
{
    -webkit-tap-highlight-color: transparent;
    user-drag: none;
    -webkit-user-drag: none;
    touch-action: manipulation;
}

.copyMail
{
    position: relative;
}

.copyMail::after
{
    content: "Copied!";
    text-align: center;
    position: absolute;
    color: var(--text);
    user-select: none;
    opacity: 0;
    left: 0;
    right: 0;
    top: 110%;
    font-size: 24rem;
    transition: 1000ms ease 500ms;
}

.copyMail:active::after
{
    opacity: 0.75;
    transition: 0ms;
}

/* #endregion */
/* #region Header */
header
{
    background-color: var(--bg-light);
    display: flex;
    justify-content: center;
    justify-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 120rem;
    z-index: 1000;
}

header > img
{
    width: auto;
    height: calc(100% - 20rem);
    margin: 10rem 10rem 10rem 30rem;
}

header > h1
{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 20rem;
    margin: 0;
    border: none;
    background-color: var(--bg-light);
    font-size: 40rem;
}

nav
{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 20rem 0 auto;
}

.nav-text
{
    font-family: "Roboto", sans-serif;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    padding: 0 25rem;
    font-size: 32rem;
    text-decoration: none;
    color: var(--text);
    transition: 100ms;
}
@media (hover: hover) and (pointer: fine)
{
    .nav-text:hover
    {
        background-color: var(--bg);
        font-size: 36rem;
        transition: 100ms;
    }
}
.nav-text:active
{
    background-color: var(--bg-dark);
    font-size: 36rem;
    transition: 100ms;
}

@media (max-width: 1100px)
{
    html
    {
        font-size: 0.833px;
    }

    nav
    {
        width: 100%;
        margin: 0;
    }

    .nav-text
    {
        flex: 1 1;
        padding: 0 8rem;
    }

    header > h1
    {
        display: none;
    }
}

@media (max-width: 830px)
{
    html
    {
        font-size: 0.6px;
    }

    header > img
    {
        display: none;
    }
}

/* #endregion */
/* #region Home */
#Home
{
    display: flex;
    flex-direction: row;
    gap: 30rem;
}

#Center
{
    flex: 2 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
}

#Center > h1
{
    transform: translateX(100vw);
    animation: slideIn 0.5s ease-out forwards;
}

#Center > h2
{
    font-size: 24rem;
    transform: translateX(100vw);
    animation: slideIn 0.5s ease-out forwards;
    animation-delay: 0.2s;
}

.image-container
{
    flex: 3 3;
    border-radius: 40rem;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    position: relative;
    background-color: var(--bg-dark);
}

.img-btn
{
    position: absolute;
    top: calc(50% - 24rem);
    border-radius: 32rem;
    width: 48rem;
    height: 48rem;
    padding: 0;
    margin: 0;
    border: var(--primary-dark) solid 3.5rem;
    background-color: var(--primary-dark);
    color: var(--bg-light);
    user-select: none;
    z-index: 10;
    transition: 100ms;
}

@media (hover: hover) and (pointer: fine)
{
    .img-btn:hover
    {
        cursor: pointer;
        background-color: var(--bg-light);
        color: var(--primary-dark);
        transition: 100ms;
    }
}

.img-btn:active
{
    cursor: pointer;
    background-color: var(--bg-light);
    color: var(--primary-dark);
    transform: scale(1.1);
    transition: 100ms;
}

#img-back
{
    left: 20rem;
}

#img-next
{
    right: 20rem;
}

.images
{
    position: absolute;
    top: -0.5%;
    left: -0%;
    display: flex;
    flex-direction: row;
    width: calc(var(--image-width) * 101%);
    height: 101%;
    transition: 1000ms cubic-bezier(.6,0,.4,1);
}

.images > img
{
    flex: 1 1 0;
    display: block;
    height: auto;
}

.images > video
{
    flex: 1 1 0;
    height: auto;
}

.image-progress
{
    position: absolute;
    width: 100%;
    bottom: 8rem;
    height: 16rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
}

.image-progress > svg
{
    z-index: 15;
    color: var(--bg);
    opacity: 0.5;
    height: 100%;
    width: auto;
    transition: 1000ms cubic-bezier(.6,0,.4,1);
}

@media (hover: hover) and (pointer: fine)
{
    .image-progress > svg:hover
    {
        cursor: pointer;
    }
}

.image-progress > svg.selected
{
    opacity: 0.9;
    transition: 1000ms cubic-bezier(.6,0,.4,1);
}

@media (max-width: 1100px)
{
    #Home
    {
        flex-direction: column-reverse;
    }

    #Center
    {
        margin: 100px 0;
    }
}

@keyframes slideIn
{
    to
    {
        transform: translateX(0);
    }
}

/* #endregion */
/* #region About */
#About
{
    margin: 30rem;
    border-radius: 40rem;
    background-color: var(--bg-dark);
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 50rem 0 30rem 0;
}

#About > div
{
    margin-top: 30rem;
    width: calc(100% - 60rem);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(400px, 100%), 1fr));
    gap: 20rem;
}

.about-item
{
    background-color: var(--bg);
    border-radius: 20rem;
    padding: 30rem;
    text-align: center;
    margin: 0;
}

.about-item h3
{
    text-wrap: wrap;
}

.about-item p
{
    text-align: center;
}
/* #endregion */
/* #region Contact */
#Contact
{
    margin: 30rem;
    border-radius: 40rem;
    background-color: var(--bg-dark);
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 50rem 0 30rem 0;
}

#Contact div
{
    margin: 30rem 16rem;
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    gap: 16rem;
}

#Contact div a
{
    width: 64rem;
    height: 64rem;
}

#Contact div a img
{
    width: 100%;
    height: auto;
    border-radius: 32rem;
    transition: 100ms;
}

@media (hover: hover) and (pointer: fine)
{
    #Contact div a:hover img
    {
        cursor: pointer;
        background-color: var(--primary);
        transition: 100ms;
    }
}

#Contact div a:active img
{
    cursor: pointer;
    background-color: var(--primary-dark);
    transition: 100ms;
}
/* #endregion */
/* #region Blog */
#Blog
{
    margin: 30rem;
    border-radius: 40rem;
    background-color: var(--bg-dark);
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 50rem 0 30rem 0;
}

.blog-container
{
    margin-top: 30rem;
    width: calc(100% - 60rem);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(300px, 100%), 1fr));
    gap: 20rem;
}

.blog-post
{
    background-color: var(--bg);
    border-radius: 20rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 30rem;
    margin: 0;
}

.blog-post div
{
    width: calc(100% - 30rem);
    margin: 10rem 30rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.blog-post div h3
{
    margin: 0 20rem 0 10rem;
}

.blog-post div h4
{
    margin: 5rem 10rem 0 0;
    color: var(--primary);
}
/* #endregion */